#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "gmp.h"
#include "api.h"
#include "kaz_api.h"

int
crypto_ka_keypair(unsigned char *pk, unsigned char *sk, const unsigned char *types)
{
    int status=KAZ_KA_KEYGEN(pk, sk, types);

    if(status==0) return 0;
    else return -4;
}

int
crypto_ka(unsigned char *sharedkey, const unsigned char *pk, const unsigned char *sk)
{
    int status=KAZ_KEY_AGREEMENT(sharedkey, pk, sk);

    if(status==0) return 0;
    else return status;
}